package require tclxpcom

set eventqueue [xpcom::new -service "@mozilla.org/event-queue-service;1" nsIEventQueueService]
$eventqueue createThreadEventQueue

set profmanager [xpcom::new -service "@mozilla.org/profile/manager;1" nsIProfileInternal]
xpcom::invoke -hidden $profmanager startupWithArgs [xpcom::null] yes

set appshell [xpcom::new -service "@mozilla.org/appshell/appShellService;1" nsIAppShellService]

set url [xpcom::new "@mozilla.org/network/standard-url;1" nsIURL]
$url set spec "http://www.google.com"

$appshell initialize [xpcom::null] [xpcom::null]

$appshell createTopLevelWindow [xpcom::null] \
          $url true true [xpcom::constant nsIWebBrowserChrome CHROME_ALL] \
          640 480

$appshell run
